﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/49471fc3-4a86-4f2d-bfe9-b26f8681a728/73a0afdc0bc45fc52b9f182efb6310ed/dotnet-sdk-3.0.100-preview-010184-win-x86.exe'
$checksum   = 'D12488627FFBF9FC74FA54AF459781F4D2ABD7FF81417921B0B2B45216C27EA804E8CA5770002E97179984B240BAE3BFF361F93E0A7B1848FA20437B90CE6FC3'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/a7e73d05-4e75-4543-ac41-fc69d2f617e5/3f65a44f90c9df66664b44e86b0e6d29/dotnet-sdk-3.0.100-preview-010184-win-x64.exe'
$checksum64 = '7D61A4F9B4B486DDF2D4B8E94E0B042670E90AA9527FB0A2BF9C372AE1539E35C3FAC5F402EA2100E03D39E1C61572C2E70FA84B7E46BAC38A5364C921D9BFB6'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
